crosspost-accounts resource endpoint
URL: /blogs/<id>/crosspost-accounts.<format>
Supported Methods
| GET | Get a list of accounts that can be used for crossposting with this blog. |
Query String Arguments
- start-index
- Index of the first item to return. The first item in the list has index 1.
- max-results
- Maximum number of items to return in the list response.
Resource Type
This endpoint returns an object of type List<Account>.
- entries (array<Account>)
- The items within the selected range.
- totalResults (integer)
- The total number of items in the whole list of which this object is a chunk.
Client Library Methods for PHP
- Get a list of accounts that can be used for crossposting with this blog.
$tp->blogs->getCrosspostAccounts(array( # Required Parameters "id" => $id, # Optional Parameters "limit" => $limit, "offset" => $offset, ))
Example Request
GET /blogs/6a012877b13de7970c012877b13df1970c/crosspost-accounts.json?max-results=4 HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 763
{
"entries": [
{
"providerURL": "http://www.twitter.com/",
"urlId": "6a012877b13de7970c012877b165a6970c",
"providerIconURL": "http://static.typepad.com/.shared:v20090616.1:typepad:en_us/images/profile/service_icons/twitter.png",
"crosspostable": true,
"username": "loblawatlaw",
"providerIconUrl": "http://static.typepad.com/.shared:v20090616.1:typepad:en_us/images/profile/service_icons/twitter.png",
"providerName": "Twitter",
"domain": "twitter.com",
"providerUrl": "http://www.twitter.com/",
"url": "http://twitter.com/loblawatlaw",
"id": "tag:api.typepad.com,2009:6a012877b13de7970c012877b165a6970c"
}
],
"totalResults": 1
}